
public class TableUtilities {
    public static String getSmallMultiplicationTable() {
        StringBuilder multiTable = new StringBuilder();
        for (int i = 1; i <= 5; i++){
            for (int h = 1; h <= 5; h++){
                int product = h*i;
                multiTable.append(String.format("%3d |", product));

            }
            multiTable.append("\n");
        }
        return multiTable.toString();

    }

    public static String getLargeMultiplicationTable() {
        StringBuilder multiTable = new StringBuilder();
        for (int i = 1; i <= 10; i++){
            for (int h = 1; h <= 10; h++){
                int product = h*i;
                multiTable.append(String.format("%3d |", product));

            }
            multiTable.append("\n");
        }
        return multiTable.toString();
    }

    public static String getMultiplicationTable(int tableSize) {
        StringBuilder multiTable = new StringBuilder();
        for (int i = 1; i <= tableSize; i++){
            for (int h = 1; h <= tableSize; h++){
                int product = h*i;
                multiTable.append(String.format("%3d |", product));

            }
            multiTable.append("\n");
        }
        return multiTable.toString();
    }
}
