 

public class TriangleUtilities {

    public static String getRow(int numberOfStars) {
        StringBuilder width = new StringBuilder();
        for (int i = 1; i <= numberOfStars; i++){
            width.append("*");
        
        }
        return width.toString(); 
    }
    
    public static String getTriangle(int numberOfRows) {
        StringBuilder triangle = new StringBuilder();
        for (int i = 1; i <= numberOfRows; i++){
            for (int h =1; h <= i; h++){
                triangle.append("*");
            }
           triangle.append("\n");
        }
        return triangle.toString();
    }


    public static String getSmallTriangle() {
        return getTriangle(4);
    }

    public static String getLargeTriangle() {
        return getTriangle(9);
    }
}
